Update an existing Template
curl --request PUT \
--url https://api.trugen.ai/v1/ext/template/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"template_name": "Updated Name",
"template_system_prompt": "Updated system prompt",
"config": {
"conversationalContext": "Updated conversational context",
"maxCallDuration": 2
},
"knowledge_base": null,
"record": true,
"is_active": true
}
'import requests
url = "https://api.trugen.ai/v1/ext/template/{id}"
payload = {
"template_name": "Updated Name",
"template_system_prompt": "Updated system prompt",
"config": {
"conversationalContext": "Updated conversational context",
"maxCallDuration": 2
},
"knowledge_base": None,
"record": True,
"is_active": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
template_name: 'Updated Name',
template_system_prompt: 'Updated system prompt',
config: {conversationalContext: 'Updated conversational context', maxCallDuration: 2},
knowledge_base: null,
record: true,
is_active: true
})
};
fetch('https://api.trugen.ai/v1/ext/template/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d22e4b02-3a47-46f2-b0cd-5420f277eaf9",
"message": "Template details updated successfully"
}{
"error": "Invalid request body"
}{
"error": "Unauthorized: not a valid authorization api key"
}{
"message": "Template not found"
}{
"error": "Failed to retrieve template details"
}Persona Templates
Update Persona Template
Updates the details of a specific template by ID.
PUT
/
ext
/
template
/
{id}
Update an existing Template
Authorizations
Path Parameters
Unique identifier for the template
Body
application/json
Name of the template
Example:
"Default Calling Template"
System prompt text used by the template
Example:
"You are a helpful AI assistant."
Settings and configuration for the template
Show child attributes
Show child attributes
List of knowledge bases attached to this agent.
Show child attributes
Show child attributes
Whether the call should be recorded
Example:
true
Whether the record should be active or not
Example:
true
Was this page helpful?
⌘I